php-seld-cli-prompt-1.0.2-2.fc25.remi.noarch.rpm


Advertisement

Description

php-seld-cli-prompt - Allows you to prompt for user input on the command line

Distribution: Fedora 25
Repository: Les RPM de Remi i386
Package name: php-seld-cli-prompt
Package version: 1.0.2
Package release: 2.fc25.remi
Package architecture: noarch
Package type: rpm
Installed size: 6.96 KB
Download size: 11.23 KB
Official Mirror: rpms.famillecollet.com
While prompting for user input using fgets() is quite easy, sometimes you need to prompt for sensitive information. In these cases, the characters typed in by the user should not be directly visible, and this is quite a pain to do in a cross-platform way. To use this library, you just have to add, in your project: require_once '/usr/share/php/Seld/CliPrompt/autoload.php';

Provides

  • php-composer(seld/cli-prompt) = 1.0.2
  • php-seld-cli-prompt = 1.0.2-2.fc25.remi

    Download

    Source package: php-seld-cli-prompt-1.0.2-2.fc25.remi.src.rpm

    Install Howto

    1. Download the latest remi-release rpm from
      http://rpms.famillecollet.com/fedora/25/remi/i386/
    2. Install remi-release rpm:
      # rpm -Uvh remi-release*rpm
    3. Install php-seld-cli-prompt rpm package:
      # dnf --enablerepo=remi install php-seld-cli-prompt

    Files

    • /usr/share/doc/php-seld-cli-prompt/README.md
    • /usr/share/doc/php-seld-cli-prompt/composer.json
    • /usr/share/doc/php-seld-cli-prompt/example.php
    • /usr/share/licenses/php-seld-cli-prompt/LICENSE
    • /usr/share/php/Seld/
    • /usr/share/php/Seld/CliPrompt/CliPrompt.php
    • /usr/share/php/Seld/CliPrompt/autoload.php

    Changelog

    2016-10-21 - Remi Collet <remi@fedoraproject.org> - 1.0.2-2 - switch from symfony/class-loader to fedora/autoloader

    2016-04-18 - Remi Collet <remi@fedoraproject.org> - 1.0.2-1 - update to 1.0.2

    2016-01-10 - Remi Collet <remi@fedoraproject.org> - 1.0.1-1 - update to 1.0.1

    2015-10-14 - Remi Collet <remi@fedoraproject.org> - 1.0.0-3 - add autoloader

    2015-05-04 - Remi Collet <remi@fedoraproject.org> - 1.0.0-1 - initial package

    Advertisement
    Advertisement